# Uses of Enum
io.dapr.v1.CommonProtos.StateOptions.StateConsistency

Packages that use CommonProtos.StateOptions.StateConsistency
Package
Description
io.dapr.v1

## Uses of CommonProtos.StateOptions.StateConsistency in io.dapr.v1

Methods in io.dapr.v1 that return CommonProtos.StateOptions.StateConsistency
Modifier and Type
Method
Description
`static CommonProtos.StateOptions.StateConsistency`
CommonProtos.StateOptions.StateConsistency.`forNumber(int value)`
`CommonProtos.StateOptions.StateConsistency`
CommonProtos.StateOptions.Builder.`getConsistency()`
`.dapr.proto.common.v1.StateOptions.StateConsistency consistency = 2;`
`CommonProtos.StateOptions.StateConsistency`
CommonProtos.StateOptions.`getConsistency()`
`.dapr.proto.common.v1.StateOptions.StateConsistency consistency = 2;`
`CommonProtos.StateOptions.StateConsistency`
CommonProtos.StateOptionsOrBuilder.`getConsistency()`
`.dapr.proto.common.v1.StateOptions.StateConsistency consistency = 2;`
`CommonProtos.StateOptions.StateConsistency`
DaprProtos.GetStateRequest.Builder.`getConsistency()`
The read consistency of the state store.
`CommonProtos.StateOptions.StateConsistency`
DaprProtos.GetStateRequest.`getConsistency()`
The read consistency of the state store.
`CommonProtos.StateOptions.StateConsistency`
DaprProtos.GetStateRequestOrBuilder.`getConsistency()`
The read consistency of the state store.
`static CommonProtos.StateOptions.StateConsistency`
CommonProtos.StateOptions.StateConsistency.`valueOf(int value)`
Deprecated.
`static CommonProtos.StateOptions.StateConsistency`
CommonProtos.StateOptions.StateConsistency.`valueOf(com.google.protobuf.Descriptors.EnumValueDescriptor desc)`
Returns the enum constant of this type with the specified name.
`static CommonProtos.StateOptions.StateConsistency`
CommonProtos.StateOptions.StateConsistency.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static CommonProtos.StateOptions.StateConsistency[]`
CommonProtos.StateOptions.StateConsistency.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in io.dapr.v1 that return types with arguments of type CommonProtos.StateOptions.StateConsistency
Modifier and Type
Method
Description
`static com.google.protobuf.Internal.EnumLiteMap<CommonProtos.StateOptions.StateConsistency>`
CommonProtos.StateOptions.StateConsistency.`internalGetValueMap()`
Methods in io.dapr.v1 with parameters of type CommonProtos.StateOptions.StateConsistency
Modifier and Type
Method
Description
`CommonProtos.StateOptions.Builder`
CommonProtos.StateOptions.Builder.`setConsistency(CommonProtos.StateOptions.StateConsistency value)`
`.dapr.proto.common.v1.StateOptions.StateConsistency consistency = 2;`
`DaprProtos.GetStateRequest.Builder`
DaprProtos.GetStateRequest.Builder.`setConsistency(CommonProtos.StateOptions.StateConsistency value)`
The read consistency of the state store.